<template>
  <section
    :class="{ ['color' + newspaper.shop_color]: true, ['layout' + newspaper.shop_style]: true }"
    class="newspaper">
    <div class="shop-html">
      <div class="shop-body">
        <section v-show="newspaper.shop_style == 1">
          <div
            :class="{ ['newstop'+ newspaper.shop_color + localization]: true }"
            class="windowwidthcontainer">
            <div id="shopname">{{ newspaper.name }}</div>
          </div>
          <div class="windowwidthcontainer newsback">
            <div class="contentwidthcontainer datebar">
              <div id="schoolname">{{ activeSession.school }}</div>
              <div id="newsdate">{{ moment(Date.now()).format("dddd, MMMM Do, YYYY") }}</div>
              <div class="clear"/>
            </div>
            <div class="contentwidthcontainer">
              <div id="sidebar">
                <headlines />
                <action-buttons
                  v-if="Object.keys(newspaper).length"
                  :has-swiper="hasSwiper"
                  :shop="newspaper" />
              </div>
              <div id="maincontent">
                <div
                  v-if="newspaper.admin"
                  id="menu">
                  <ul
                    id="nav"
                    class="tab-buttons">
                    <router-link
                      :to="{name: 'newspapermain'}"
                      tag="li">
                      <a
                        :class="{selected: (this.$route.name === 'newspapermain')}"
                        class="tab">Main Page
                      </a>
                    </router-link>
                    <router-link
                      :to="{name: 'newspaperlayout'}"
                      tag="li">
                      <a
                        id="edit-layout-button"
                        :class="{selected: (this.$route.name === 'newspaperlayout')}"
                        class="tab">Layout
                      </a>
                    </router-link>
                    <router-link
                      :to="{name: 'newspapereditstory'}"
                      tag="li">
                      <a
                        id="edit-story-button"
                        :class="{selected: (this.$route.name === 'newspapereditstory')}"
                        class="tab">Edit Stories
                      </a>
                    </router-link>
                    <router-link
                      :to="{name: 'newspaperprint'}"
                      tag="li">
                      <a
                        :class="{selected: (this.$route.name === 'newspaperprint')}"
                        class="tab">Print Newspaper
                      </a>
                    </router-link>
                    <router-link
                      :to="{name: 'newspaperupload'}"
                      tag="li">
                      <a
                        :class="{selected: (this.$route.name === 'newspaperupload')}"
                        class="tab">Upload Images
                      </a>
                    </router-link>
                    <router-link
                      :to="{name: 'newspaperaccounting'}"
                      tag="li">
                      <a
                        :class="{selected: (this.$route.name === 'newspaperaccounting')}"
                        class="tab">Accounting
                      </a>
                    </router-link>
                  </ul>
                </div>
                <div class="tabs">
                  <router-view
                    v-if="newspaper.shop_style == 1"
                    :shop="newspaper"
                    @simple-one="simpleOne"
                    @simple-two="simpleTwo"
                    @busy-one="busyOne"
                    @busy-two="busyTwo"
                    @saved-paper="getData" />
                </div>
              </div>
              <div class="clear"/>
            </div>
          </div>
        </section> <!--end shop_style1 -->
        <section v-show="newspaper.shop_style == 2">
          <div class="contentwidthcontainer newstop">
            <div id="shopname">{{ newspaper.name }}</div>
            <div id="yatlogo">
              <img
                id="yatlogoimg"
                :src="logo"
                width="98"
                height="81">
            </div>
            <div id="icon"/>
          </div>
          <div class="contentwidthcontainer news2main">
            <div id="sidebar">
              <headlines />
              <action-buttons
                v-if="Object.keys(newspaper).length"
                :has-swiper="hasSwiper"
                :shop="newspaper" />
            </div>
            <div id="maincontent">
              <div
                v-if="newspaper.admin"
                id="menu">
                <ul
                  id="nav"
                  class="tab-buttons">
                  <router-link
                    :to="{name: 'newspapermain'}"
                    tag="li">
                    <a
                      :class="{selected: (this.$route.name === 'newspapermain')}"
                      class="tab">Main Page
                    </a>
                  </router-link>
                  <router-link
                    :to="{name: 'newspaperlayout'}"
                    tag="li">
                    <a
                      id="edit-layout-button"
                      :class="{selected: (this.$route.name === 'newspaperlayout')}"
                      class="tab">Layout
                    </a>
                  </router-link>
                  <router-link
                    :to="{name: 'newspapereditstory'}"
                    tag="li">
                    <a
                      id="edit-story-button"
                      :class="{selected: (this.$route.name === 'newspapereditstory')}"
                      class="tab">Edit Stories
                    </a>
                  </router-link>
                  <router-link
                    :to="{name: 'newspaperprint'}"
                    tag="li">
                    <a
                      :class="{selected: (this.$route.name === 'newspaperprint')}"
                      class="tab">Print Newspaper
                    </a>
                  </router-link>
                  <router-link
                    :to="{name: 'newspaperupload'}"
                    tag="li">
                    <a
                      :class="{selected: (this.$route.name === 'newspaperupload')}"
                      class="tab">Upload Images
                    </a>
                  </router-link>
                  <router-link
                    :to="{name: 'newspaperaccounting'}"
                    tag="li">
                    <a
                      :class="{selected: (this.$route.name === 'newspaperaccounting')}"
                      class="tab">Accounting
                    </a>
                  </router-link>
                </ul>
              </div>
              <div class="tabs">
                <router-view
                  v-if="newspaper.shop_style == 2"
                  :shop="newspaper"
                  @simple-one="simpleOne"
                  @simple-two="simpleTwo"
                  @busy-one="busyOne"
                  @busy-two="busyTwo"
                  @saved-paper="getData" />
              </div>
            </div>
            <div class="clear"/>
          </div>
        </section>
      </div>
    </div>
  </section>
</template>

<script>
import ShopBaseView from "../shopBase.js";
import Headlines from "../Headlines.vue";
import ActionButtons from "../ActionButtons.vue";

export default {
  components: {
    Headlines,
    ActionButtons,
  },
  extends: ShopBaseView,
  data() {
    return {
      newspaper: {},
      logo: app.network.data.shop_logo,
      hasSwiper: app.computerSettings.swiper,
      activeSession : {},
      localization: app.network.data.newspaper_shop_top_localization
    };
  },
  created: function () {
    this.getData();
    this.getActiveSessionData();
  },
  beforeMount: function () {
    this.$router.push({name: "newspapermain"});
  },
  methods: {
    getData() {
      app.session.SetSession()
        .then( () => {
        app.api.Get( "newspaper/" + app.session.data.id )
          .then( Response => {
            console.log(Response);
            this.newspaper = Response;
          })
          .catch( x => app.Message( x.error, "error" ) );
        });
    },
    getActiveSessionData(){
        app.api.Get( "activeSessions/today" ).then( x => {
        this.activeSession = x;
        app.session.SetSession();
        });
    },
    simpleOne() {
      this.newspaper.shop_style = 1;
      this.newspaper.shop_color = 1;
    },
    simpleTwo() {
      this.newspaper.shop_style = 1;
      this.newspaper.shop_color = 2;
    },
    busyOne() {
      this.newspaper.shop_style = 2;
      this.newspaper.shop_color = 1;
    },
    busyTwo() {
      this.newspaper.shop_style = 2;
      this.newspaper.shop_color = 2;
    },
  },
};
</script>

<style lang="less">
  @import '../../shared.less';
</style>

<style lang="less">
.newspaper.layout1.color1 {
  // shared
  .clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
  .clearfix { display: inline-block; }
  * .shop-html .clearfix { height: 1%; }
  .clearfix { display: block; }

  @sidebarcolor: none;
  @shopnametop: 6rem;
  @shopnameleft: 42rem;
  @boxshadow: 0 0.2rem 0.6rem 0rem #555;
  @sidebarfloat: left;
  @maincontentfloat:left;

  .bodyback() {
    background-image: @bgimage;
  }
  .fullback() {
    background-image: none;
  }
  //color1
  @bgimage: url(/images/shop/newspaper/newswoodbg.png);
  @shoptitlecolor: #000;
  @datebarbg: #000;
  @navfontcolor: #000;
  @navbgcolor: #dbdbdb;
  @textshadow: #789550;
  @maincontentcolor: #131736;
  @maincontentcolorh1: black;
  @buttoncolor: black;
  @headlinetop: url("/images/shop/newspaper/headlinestop1.png");

  .bwheadlinebox() {
    background-image: @headlinetop;
    background-color:#dbdbdb;
  }
  .bwheadlineboxh1 {
    color:#000;
  }

  @import './newspaperLayout1.less';
}
</style>

<style lang="less">
.newspaper.layout1.color2 {
  // shared
  .clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
  .clearfix { display: inline-block; }
  * .shop-html .clearfix { height: 1%; }
  .clearfix { display: block; }

  @sidebarcolor: none;
  @shopnametop: 6rem;
  @shopnameleft: 42rem;
  @boxshadow: 0 0.2rem 0.6rem 0rem #555;
  @sidebarfloat: left;
  @maincontentfloat:left;

  .bodyback() {
    background-image: @bgimage;
  }
  .fullback() {
    background-image: none;
  }
  //color2
  @bgimage: url(/images/shop/newspaper/newswoodbg2.png);
  @shoptitlecolor: #003265;
  @datebarbg: #68b502;
  @navfontcolor: #fff;
  @navbgcolor: #68b502;
  @textshadow: #789550;
  @maincontentcolor: #131736;
  @maincontentcolorh1: #003265;
  @buttoncolor: #003265;
  @headlinetop: url("/images/shop/newspaper/headlinestop2.png");

  .bwheadlinebox() { background-image: @headlinetop; }
  .bwheadlineboxh1 { }

  @import './newspaperLayout1.less';
}
</style>

<style lang="less">
  .newspaper.layout2.color1 {
  //shared
  .clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
  .clearfix { display: inline-block; }
  * .shop-html .clearfix { height: 1%; }
  .clearfix { display: block; }


  @sidebarcolor: none;
  @shopnametop: 6rem;
  @shopnameleft: 42rem;
  @boxshadow: 0 0.2rem 0.6rem 0rem #555;
  @sidebarfloat: right;
  @maincontentfloat:left;


  .fullback() {
    background-image: none;
  }
  .bodyback() {
    background-image: linear-gradient(bottom, @bottomgrad 10%, @topgrad 100%);
    background-image: -moz-linear-gradient(bottom, @bottomgrad 10%, @topgrad 100%);
    background-image: -webkit-linear-gradient(bottom, @bottomgrad 10%, @topgrad 100%);
    background-image: -ms-linear-gradient(bottom, @bottomgrad 10%, @topgrad 100%);
    background-color: @bottomgrad;
  }
  //color1
  /* blue and red newspaper */
  @shoptitlecolor: #fff;
  @logoborder:0.5rem solid #f33122;
  @topgrad:#0c3a5c;
  @bottomgrad:#0e4369;
  @newstopimage: url('/images/shop/newspaper/newspapertop.png') top left no-repeat;
  @datebarbg: #000;
  @navfontcolor: #fff;
  @navbgcolor: #337399;
  @h1color: #337399;
  @activenavcolor: #f33122;
  @textshadow: #789550;
  @maincontentcolor: #131736;
  @contentborderColor: #49a5db;
  @contentborder: 0.5rem solid @contentborderColor;
  @maincontentcolorh1: black;
  @h1color: #337399;
  @stoponbycolor: #f33122;
  @buttoncolor: #337399;
  @buttoncolorhover: #f33122;
  @sectionselected: #49a5db;

  .bwheadlinebox() {
    background-image:url("/images/shop/newspaper/headlinestop2.png");
  }
  .bwheadlineboxh1 {

  }
  .bwheadlineboxp {
    color:#06373b;
  }
  @import './newspaperLayout2.less';

}

</style>

<style lang="less">
.newspaper.layout2.color2 {
  .clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
  .clearfix { display: inline-block; }
  * .shop-html .clearfix { height: 1%; }
  .clearfix { display: block; }


  @sidebarcolor: none;
  @shopnametop: 6rem;
  @shopnameleft: 42rem;
  @boxshadow: 0 0.2rem 0.6rem 0rem #555;
  @sidebarfloat: right;
  @maincontentfloat:left;


  .fullback() {
    background-image: none;
  }
  .bodyback() {
    background-image: linear-gradient(bottom, @bottomgrad 10%, @topgrad 100%);
    background-image: -moz-linear-gradient(bottom, @bottomgrad 10%, @topgrad 100%);
    background-image: -webkit-linear-gradient(bottom, @bottomgrad 10%, @topgrad 100%);
    background-image: -ms-linear-gradient(bottom, @bottomgrad 10%, @topgrad 100%);
    background-color: @bottomgrad;
  }
  //color2
  /* teal and orange newspaper */
  @shoptitlecolor: #fff;
  @logoborder:0.5rem solid #06373b;
  @topgrad:#3a8a82;
  @bottomgrad:#439e95;
  @newstopimage: url('/images/shop/newspaper/newspapertop.png') top left no-repeat;
  @datebarbg: #000;
  @navfontcolor: #fff;
  @navbgcolor: #49ada3;
  @h1color: #06373b;
  @activenavcolor: #eb5d21;
  @textshadow: #789550;
  @maincontentcolor: #131736;
  @contentborderColor: #c9c5af;
  @contentborder: 0.5rem solid @contentborderColor;
  @maincontentcolorh1: black;
  @stoponbycolor: #eb5d21;
  @buttoncolor: #49ada3;
  @buttoncolorhover: #eb5d21;
  @sectionselected: #eb5d21;

  .bwheadlinebox() {
    background-image:url("/images/shop/newspaper/headlinestop3.png");
    background-color:#ffa680;
    color:#06373b;
  }
  .bwheadlineboxh1 {

  }
  .bwheadlineboxp {
    color:#06373b;
  }
  @import './newspaperLayout2.less';

}

</style>



